ERRF_FatalErrInfo Struct Reference

## Data Fields

ERRF_ErrType | type
| Type, one of the ERRF_ERRTYPE_* enum.
u8 | revHigh
| High revison ID.
u16 | revLow
| Low revision ID.
u32 | resCode
| Result code.
u32 | pcAddr
| PC address at exception.
u32 | procId
| Process ID of the caller.
u64 | titleId
| Title ID of the caller.
u64 | appTitleId
| Title ID of the running application.
union {
ERRF_ExceptionData exception_data
| Data for when type is ERRF_ERRTYPE_EXCEPTION.
char failure_mesg [0x60]
| String for when type is ERRF_ERRTYPE_FAILURE.
} | data
| The different types of data for errors.

The documentation for this struct was generated from the following file:

- include/3ds/errf.h